PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
holidays
/
{id}
Update a holiday
curl --request PATCH \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/holidays/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "title": "<string>",
  "recurring_yearly": true,
  "working_day_override": true,
  "custom_attributes": {}
}
'
{
  "payload": {
    "id": 123,
    "date": "2023-12-25",
    "title": "<string>",
    "recurring_yearly": true,
    "working_day_override": true,
    "custom_attributes": {}
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
integer
required

Body

application/json
date
string<date>
title
string
recurring_yearly
boolean
working_day_override
boolean
custom_attributes
object

Response

Holiday updated

payload
object